Bug 116929 - (NET PATCH XIRCOM)Can't install via PCMCIA network card
(NET PATCH XIRCOM)Can't install via PCMCIA network card
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-02-26 10:09 EST by Tim Waugh
Modified: 2015-01-04 17:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-10 23:59:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
linux-gdrvinfo.patch (395 bytes, patch)
2004-03-01 07:51 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2004-02-26 10:09:01 EST
Description of problem:
Installing over NFS via boot.iso on a Dell Inspiron 3500 with a Xircom
CE3B network card adapter fails to get past the DHCP screen.

Version-Release number of selected component (if applicable):
Tried from rawhide-20040226 tree.

How reproducible:

Steps to Reproduce:
1. Boot boot.iso
2. Try to install over NFS
Actual results:
Clicking OK on the DHCP screen (with 'use DHCP' on) does not move on
to the next screen.  On VT3:

* need to set up networking
* going to pick interface
* only have one network device: eth
* going to do getNetConfig
* waiting for link...
* 0 seconds.
* pump told us: SIOCSIFADDR: No such device

On VT4:

<6>Yenta: Routing CardBus interrupts to PCI
<6>Yenta: ISA IRQ mask 0x0098, PCI irq 11
<6>Socket status: 30000006
<6>Yenta: CardBus bridge found at 0000:00:04.1 [1028:008f]
<6>Yenta: Using CSCINT to route CSC interrupts to PCI
<6>Yenta: Routing CardBus interrupts to PCI
<6>Yenta: ISA IRQ mask 0x0098, PCI irq 11
<6>Socket status: 30000010
<6>cs: IO port probe 0x0c00-0x0cff: clean.
<6>cs: IO port probe 0x0100-0x04ff: excluding 0x220-0x22f 0x320-0x327
0x378-0x37f 0x388-0x38f 0x3c0-0x3df 0x4d0-0x4d7
<6>cs: IO port probe 0x0a00-0x0aff: clean.
<6>cs: memory probe 0xa0000000-0xa0ffffff: clean.
<7>divert: allocating divert_blk for eth0
<6>eth0: Xircom: port 0x300, irq 3, hwaddr 00:80:C7:A4:42:72
Comment 1 Bill Nottingham 2004-02-27 14:53:12 EST
The 'simple' way to fix this is to get ethtool GDRVINFO support into
that driver. (xirc2ps_cs?)
Comment 2 Tim Waugh 2004-03-01 07:07:50 EST
Yes, xirc2ps_cs is the driver in use.
Comment 3 Tim Waugh 2004-03-01 07:51:05 EST
Created attachment 98155 [details]

Here is a patch I'm testing, based on the corresponding code in the 2.4 tree.
Comment 4 Tim Waugh 2004-03-01 09:18:33 EST
Yes, this one-line patch fixes it.
Comment 5 Dave Jones 2005-01-10 23:59:25 EST
fixed for some time now..

Note You need to log in before you can comment on or make changes to this bug.